$flaticon-font: "flaticon";

@font-face {
    font-family: $flaticon-font;
    src: url("./flaticon.ttf?7b182351c6c2a0dd4f27dfd6d71c9197") format("truetype"),
url("./flaticon.woff?7b182351c6c2a0dd4f27dfd6d71c9197") format("woff"),
url("./flaticon.woff2?7b182351c6c2a0dd4f27dfd6d71c9197") format("woff2"),
url("./flaticon.eot?7b182351c6c2a0dd4f27dfd6d71c9197#iefix") format("embedded-opentype"),
url("./flaticon.svg?7b182351c6c2a0dd4f27dfd6d71c9197#flaticon") format("svg");
}

i[class^="flaticon-"]:before, i[class*=" flaticon-"]:before {
    font-family: flaticon !important;
    font-style: normal;
    font-weight: normal !important;
    font-variant: normal;
    text-transform: none;
    line-height: 1;
    -webkit-font-smoothing: antialiased;
    -moz-osx-font-smoothing: grayscale;
}

$flaticon-map: (
    "email": "\f101",
    "facebook": "\f102",
    "instagram": "\f103",
    "linkedin-logo": "\f104",
    "pin": "\f105",
    "telefono-inteligente": "\f106",
    "telephone": "\f107",
    "twitter": "\f108",
    "youtube": "\f109",
);

.flaticon-email:before {
    content: map-get($flaticon-map, "email");
}
.flaticon-facebook:before {
    content: map-get($flaticon-map, "facebook");
}
.flaticon-instagram:before {
    content: map-get($flaticon-map, "instagram");
}
.flaticon-linkedin-logo:before {
    content: map-get($flaticon-map, "linkedin-logo");
}
.flaticon-pin:before {
    content: map-get($flaticon-map, "pin");
}
.flaticon-telefono-inteligente:before {
    content: map-get($flaticon-map, "telefono-inteligente");
}
.flaticon-telephone:before {
    content: map-get($flaticon-map, "telephone");
}
.flaticon-twitter:before {
    content: map-get($flaticon-map, "twitter");
}
.flaticon-youtube:before {
    content: map-get($flaticon-map, "youtube");
}
